Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Interface WLPIConstants

public interface WLPIConstants

Defines constants used by both clients and server.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `JMS_ACTION_ASSIGNED` JMS property value to indicate that the source task was assigned.
`static java.lang.String` | `JMS_ACTION_REMOVED` JMS property value to indicate that the source was deleted.
`static java.lang.String` | `JMS_ACTION_UPDATED` JMS property value to indicate that the source was updated.
`static int` | `JMS_EVENT_CREATED` JMS property value to indicate that the source was created.
`static int` | `JMS_EVENT_DELETED` JMS property value to indicate that the source was deleted.
`static int` | `JMS_EVENT_LOADED` JMS property value to indicate that the source was loaded.
`static int` | `JMS_EVENT_POSTED` JMS property value to indicate that the source was posted for deferred execution.
`static int` | `JMS_EVENT_UNLOADED` JMS property value to indicate that the source was unloaded.
`static int` | `JMS_EVENT_UPDATED` JMS property value to indicate that the source was updated.
`static java.lang.String` | `JMS_PROP_ACTION` JMS string property to indicate the type of update.
`static java.lang.String` | `JMS_PROP_ASSIGNEE` JMS string property to indicate the associated task assignee.
`static java.lang.String` | `JMS_PROP_EVENT` JMS int property to indicate the type of update.
`static java.lang.String` | `JMS_PROP_ORG` JMS string property to indicate the associated organization.
`static java.lang.String` | `JMS_PROP_ROLE` JMS boolean property to indicate whether the assignee is a role.
`static java.lang.String` | `JMS_PROP_SENDER` JMS string property to indicate the sender of a notification.
`static java.lang.String` | `JMS_PROP_SOURCE` JMS int property to indicate the source of a notification.
`static int` | `JMS_SOURCE_PLUGIN` JMS property value to indicate a plugin notification.
`static int` | `JMS_SOURCE_RUNNABLE` JMS property value to indicate a postponed runnable object.
`static int` | `JMS_SOURCE_WORKLIST` JMS property value to indicate a worklist notification.

Field Detail

### JMS_PROP_SENDER

    public static final java.lang.String JMS_PROP_SENDER

  JMS string property to indicate the sender of a notification. It contains the IP address of the server that sent the message.

### JMS_PROP_SOURCE

    public static final java.lang.String JMS_PROP_SOURCE

  JMS int property to indicate the source of a notification.
  See Also:
    `JMS_SOURCE_WORKLIST`, `JMS_SOURCE_PLUGIN`

### JMS_PROP_ACTION

    public static final java.lang.String JMS_PROP_ACTION

  JMS string property to indicate the type of update. Present for backwards compatibility with previous versions.
  See Also:
    `JMS_ACTION_UPDATED`, `JMS_ACTION_REMOVED`, `JMS_ACTION_ASSIGNED`

### JMS_PROP_EVENT

    public static final java.lang.String JMS_PROP_EVENT

  JMS int property to indicate the type of update.
  See Also:
    `JMS_EVENT_CREATED`, `JMS_EVENT_UPDATED`, `JMS_EVENT_DELETED`, `JMS_EVENT_LOADED`, `JMS_EVENT_UNLOADED`

### JMS_PROP_ORG

    public static final java.lang.String JMS_PROP_ORG

  JMS string property to indicate the associated organization.

### JMS_PROP_ASSIGNEE

    public static final java.lang.String JMS_PROP_ASSIGNEE

  JMS string property to indicate the associated task assignee.

### JMS_PROP_ROLE

    public static final java.lang.String JMS_PROP_ROLE

  JMS boolean property to indicate whether the assignee is a role.

### JMS_SOURCE_WORKLIST

    public static final int JMS_SOURCE_WORKLIST

  JMS property value to indicate a worklist notification.
  See Also:
    `JMS_PROP_SOURCE`, `JMS_ACTION_UPDATED`, `JMS_ACTION_REMOVED`, `JMS_ACTION_ASSIGNED`

### JMS_SOURCE_RUNNABLE

    public static final int JMS_SOURCE_RUNNABLE

  JMS property value to indicate a postponed runnable object.
  See Also:
    `JMS_PROP_SOURCE`

### JMS_SOURCE_PLUGIN

    public static final int JMS_SOURCE_PLUGIN

  JMS property value to indicate a plugin notification.
  See Also:
    `JMS_PROP_SOURCE`, `JMS_EVENT_LOADED`, `JMS_EVENT_UNLOADED`, `JMS_EVENT_UPDATED`

### JMS_ACTION_UPDATED

    public static final java.lang.String JMS_ACTION_UPDATED

  JMS property value to indicate that the source was updated. This is a string property for backwards compatibility with previous releases. (Applies to worklist/task notifications only.)
  See Also:
    `JMS_PROP_ACTION`

### JMS_ACTION_REMOVED

    public static final java.lang.String JMS_ACTION_REMOVED

  JMS property value to indicate that the source was deleted. This is a string property for backwards compatibility with previous releases. (Applies to worklist/task notifications only.)
  See Also:
    `JMS_PROP_ACTION`

### JMS_ACTION_ASSIGNED

    public static final java.lang.String JMS_ACTION_ASSIGNED

  JMS property value to indicate that the source task was assigned. This is a string property for backwards compatibility with previous releases. (Applies to worklist/task notifications only.)
  See Also:
    `JMS_PROP_ACTION`

### JMS_EVENT_CREATED

    public static final int JMS_EVENT_CREATED

  JMS property value to indicate that the source was created.
  See Also:
    `JMS_PROP_EVENT`

### JMS_EVENT_UPDATED

    public static final int JMS_EVENT_UPDATED

  JMS property value to indicate that the source was updated.
  See Also:
    `JMS_PROP_EVENT`

### JMS_EVENT_DELETED

    public static final int JMS_EVENT_DELETED

  JMS property value to indicate that the source was deleted.
  See Also:
    `JMS_PROP_EVENT`

### JMS_EVENT_LOADED

    public static final int JMS_EVENT_LOADED

  JMS property value to indicate that the source was loaded.
  See Also:
    `JMS_PROP_EVENT`

### JMS_EVENT_UNLOADED

    public static final int JMS_EVENT_UNLOADED

  JMS property value to indicate that the source was unloaded.
  See Also:
    `JMS_PROP_EVENT`

### JMS_EVENT_POSTED

    public static final int JMS_EVENT_POSTED

  JMS property value to indicate that the source was posted for deferred execution.
  See Also:
    `JMS_PROP_EVENT`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)